#!/bin/bash

if [ "$#" -ne 1 ] ; then
	echo "Usage : $0 +/-" >&2
	exit 1
fi
red='--gamma 1:.6:.6 --brightness 0.6'
size='--rate 60 --mode 1920x1080 --fb 1920x1080 --panning 1920x1080*'
i=0
same=''
xrandr --listactivemonitors | tail -n +2 | cut -d ' ' -f 6  | while read monitor ; do
	xrandr --output "$monitor" $red $size $same
	if [ "$i" -eq 0 ] ; then
		((i=i+1))
		same="--same-as $monitor"
	fi
done
